> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# List trashed profiles

GET http://127.0.0.1:58931/api/trash

Reference: https://docs.flashid.app/api-reference/trash/list-trash

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/trash:
    get:
      operationId: list-trash
      summary: List trashed profiles
      tags:
        - subpackage_trash
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 20
        - name: keyword
          in: query
          required: false
          schema:
            type: string
        - name: X-API-Key
          in: header
          description: API Key generated in the FlashID app.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Trash_listTrash_Response_200'
servers:
  - url: http://127.0.0.1:58931
    description: Local service (default port 58931)
components:
  schemas:
    TrashItemBasicConfig:
      type: object
      properties:
        profile_name:
          type: string
        note:
          type: string
      title: TrashItemBasicConfig
    TrashItemBrowserConfig:
      type: object
      properties:
        system_os:
          type: string
      title: TrashItemBrowserConfig
    TrashItemFolderConfig:
      type: object
      properties:
        uuid:
          type: string
        folder_name:
          type: string
      title: TrashItemFolderConfig
    TrashItemDeletedBy:
      type: object
      properties:
        nickname:
          type: string
        email:
          type: string
        avatar:
          type: string
      title: TrashItemDeletedBy
    TrashItem:
      type: object
      properties:
        profile_uuid:
          type: string
        basic_config:
          $ref: '#/components/schemas/TrashItemBasicConfig'
        browser_config:
          $ref: '#/components/schemas/TrashItemBrowserConfig'
        proxy_config:
          type: object
          additionalProperties:
            description: Any type
        folder_config:
          $ref: '#/components/schemas/TrashItemFolderConfig'
        deleted_at:
          type: string
        deleted_by:
          $ref: '#/components/schemas/TrashItemDeletedBy'
      title: TrashItem
    ApiTrashGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        configs:
          type: array
          items:
            $ref: '#/components/schemas/TrashItem'
        total:
          type: integer
      title: ApiTrashGetResponsesContentApplicationJsonSchemaData
    Trash_listTrash_Response_200:
      type: object
      properties:
        success:
          type: boolean
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiTrashGetResponsesContentApplicationJsonSchemaData
      required:
        - success
        - code
      title: Trash_listTrash_Response_200
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: API Key generated in the FlashID app.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "success": true,
  "code": 0,
  "data": {
    "configs": [
      {
        "profile_uuid": "a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f6a1d9e",
        "basic_config": {
          "profile_name": "Marketing Campaign Profile",
          "note": "Deleted due to campaign end"
        },
        "browser_config": {
          "system_os": "Windows 10"
        },
        "proxy_config": {
          "type": "HTTP",
          "host": "192.168.1.100",
          "port": 8080,
          "username": "proxyUser",
          "password": "********"
        },
        "folder_config": {
          "uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
          "folder_name": "Archived Profiles"
        },
        "deleted_at": "2024-06-10T15:45:30Z",
        "deleted_by": {
          "nickname": "jdoe",
          "email": "jdoe@example.com",
          "avatar": "https://example.com/avatars/jdoe.png"
        }
      }
    ],
    "total": 1
  }
}
```

**SDK Code**

```python
import requests

url = "http://127.0.0.1:58931/api/trash"

payload = {}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'http://127.0.0.1:58931/api/trash';
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/trash"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/trash")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://127.0.0.1:58931/api/trash")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://127.0.0.1:58931/api/trash', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/trash");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/trash")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```